;;; -*- Lisp -*-
;;;
;;; Cross-implementation Portability System

(defpackage #:port
  (:use #:common-lisp)
  (:nicknames #:org.cons.clocc/sds/port)
  (:export #:code #:case-error #:not-implemented ; conditions
   #:defsubst #:defcustom #:defconst #:mk-arr #:map-in #:with-gensyms
   #:gc #:quit #:+eof+ #:eof-p #:string-tokens
   #-cmu #:required-argument
   #:unlock-package #:restore-package-lock #:compose #:compose-f
   #:compose-all))

(in-package port)

(asdf:defsystem #:port
  :version "2002-10-02-1"
  :components
  ((:file "ext")
   (:file "gray" :depends-on ("ext"))
   (:file "net" :depends-on ("ext" "sys"))
   (:file "path" :depends-on ("ext"))
   (:file "proc" :depends-on ("ext"))
   (:file "shell" :depends-on ("ext"))
   (:file "sys" :depends-on ("ext" "path"))))
